gov.ornl.mercury3.services

## Class AbstractRetrieval

- java.lang.Object
- - gov.ornl.mercury3.services.AbstractRetrieval

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Retrieval

      public abstract class AbstractRetrieval
      extends Object
      implements Serializable

  AbstractRetrieval entity provides the base persistence definition of the Retrieval entity.
  Author:
    MyEclipse Persistence Tools
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRetrieval()` default constructor
    `AbstractRetrieval(RetrievalId id)` minimal constructor
    `AbstractRetrieval(RetrievalId id, Long startRecordNo, Integer recordsOnPage, String fileId, String source)` full constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileId()`
    `RetrievalId` | `getId()`
    `Integer` | `getRecordsOnPage()`
    `String` | `getSource()`
    `Long` | `getStartRecordNo()`
    `void` | `setFileId(String fileId)`
    `void` | `setId(RetrievalId id)`
    `void` | `setRecordsOnPage(Integer recordsOnPage)`
    `void` | `setSource(String source)`
    `void` | `setStartRecordNo(Long startRecordNo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRetrieval

          public AbstractRetrieval()

      default constructor

    - #### AbstractRetrieval

          public AbstractRetrieval(RetrievalId id)

      minimal constructor

    - #### AbstractRetrieval

          public AbstractRetrieval(RetrievalId id,
                           Long startRecordNo,
                           Integer recordsOnPage,
                           String fileId,
                           String source)

      full constructor

  - ### Method Detail

    - #### getId

          public RetrievalId getId()

    - #### setId

          public void setId(RetrievalId id)

    - #### getStartRecordNo

          public Long getStartRecordNo()

    - #### setStartRecordNo

          public void setStartRecordNo(Long startRecordNo)

    - #### getRecordsOnPage

          public Integer getRecordsOnPage()

    - #### setRecordsOnPage

          public void setRecordsOnPage(Integer recordsOnPage)

    - #### getFileId

          public String getFileId()

    - #### setFileId

          public void setFileId(String fileId)

    - #### getSource

          public String getSource()

    - #### setSource

          public void setSource(String source)

Copyright © 2016. All rights reserved.